Options for `CliCommand`

### Type parameters

- #### TPositionalArgGroup: ICliArgGroup

- #### TNamedArgGroups: {}

- #### TDoubleDashArgGroup: ICliArgGroup

### Hierarchy

- ICliCommandOptions
  - ICliCommand

## Index

### Properties

- action
- description
- doubleDashArgGroup
- hidden
- name
- namedArgGroups
- positionalArgGroup

## Properties

### action

action: (input: { ansi: ICliAnsi; console: ICliConsole; doubleDashValue: TValueFromCliArgGroup<TDoubleDashArgGroup>; namedValues: {}; positionalValue: TValueFromCliArgGroup<TPositionalArgGroup> }) => any

- Defined in src/cli-command.ts:23

Function or async function that implements the command

#### Type declaration

- - (input: { ansi: ICliAnsi; console: ICliConsole; doubleDashValue: TValueFromCliArgGroup<TDoubleDashArgGroup>; namedValues: {}; positionalValue: TValueFromCliArgGroup<TPositionalArgGroup> }): any

  - #### Parameters

    - ##### input: { ansi: ICliAnsi; console: ICliConsole; doubleDashValue: TValueFromCliArgGroup<TDoubleDashArgGroup>; namedValues: {}; positionalValue: TValueFromCliArgGroup<TPositionalArgGroup> }

      - ##### ansi: ICliAnsi

      - ##### console: ICliConsole

      - ##### doubleDashValue: TValueFromCliArgGroup<TDoubleDashArgGroup>

      - ##### namedValues: {}

      - ##### positionalValue: TValueFromCliArgGroup<TPositionalArgGroup>

    #### Returns any

### Optional description

description: TCliDescription

- Defined in src/cli-command.ts:43

A sentence or two about this command for command-line usage

### Optional doubleDashArgGroup

doubleDashArgGroup: TDoubleDashArgGroup

- Defined in src/cli-command.ts:40

A `ICliArgGroup` for the arguments after a lone "--"

### Optional hidden

hidden: undefined | false | true

- Defined in src/cli-command.ts:46

If `true`, don't show this command in command-line usage

### name

name: string

- Defined in src/cli-command.ts:20

Identifier for this command in command-line usage

### Optional namedArgGroups

namedArgGroups: TNamedArgGroups

- Defined in src/cli-command.ts:37

A `ICliArgGroup` for the arguments passed as "--name value"

### Optional positionalArgGroup

positionalArgGroup: TPositionalArgGroup

- Defined in src/cli-command.ts:34

A `ICliArgGroup` for the arguments before the first separator argument

Generated using TypeDoc and MonoLisa